Path: API › ACME 证书

`POST /acme`

获取指定订单的详细信息，包括证书内容。

## Request body

_Required._

- `action4.request_time` (string, required) — Unix 时间戳。
- `action4.request_token` (string, required) — 按 API 概览生成的签名。
- `action4.action` (string, required) — 具体操作名称。
  - one of `"get_order_find"`
- `action4.index` (string, required) — 订单索引 ID

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "get_order_find",
  "index": "string"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/acme" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=get_order_find" \
  --data-urlencode "index=<index>"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "index": "851cc157ad22888459e59c3cfdc5ac95",
  "domains": [
    "dnstest.cc"
  ],
  "status": "valid",
  "cert_timeout": 1780111135,
  "cert": {
    "private_key": "-----BEGIN PRIVATE KEY-----\n...",
    "fullchain": "-----BEGIN CERTIFICATE-----\n..."
  }
}
```

- `action4.response.default.index` (string, optional) — 订单索引
- `action4.response.default.domains` (array<unknown>, optional) — 域名列表
- `action4.response.default.status` (string, optional) — `valid` 有效 / `pending` 待验证 / `expired` 已过期
- `action4.response.default.cert_timeout` (integer, optional) — 证书到期时间戳
- `action4.response.default.cert` (object, optional) — 证书详情，含 `private_key`、`fullchain`


## get_order_find

获取指定订单的详细信息，包括证书内容。

- **路由**：`POST /acme`
- **action**：`get_order_find`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `get_order_find` |
| index | 是 | String | 订单索引 ID |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| index | String | 订单索引 |
| domains | Array | 域名列表 |
| status | String | `valid` 有效 / `pending` 待验证 / `expired` 已过期 |
| cert_timeout | Integer | 证书到期时间戳 |
| cert | Object | 证书详情，含 `private_key`、`fullchain` |

## 示例

### 请求

```
POST /acme HTTP/1.1
Host: 192.168.168.213:8888
Content-Type: application/x-www-form-urlencoded

action=get_order_find&index=851cc157ad22888459e59c3cfdc5ac95
```

### 响应

```json
{
  "index": "851cc157ad22888459e59c3cfdc5ac95",
  "domains": ["dnstest.cc"],
  "status": "valid",
  "cert_timeout": 1780111135,
  "cert": {
    "private_key": "-----BEGIN PRIVATE KEY-----\n...",
    "fullchain": "-----BEGIN CERTIFICATE-----\n..."
  }
}
```

